Viewing docs for Cisco Meraki v0.4.6
published on Thursday, Feb 26, 2026 by Pulumi
published on Thursday, Feb 26, 2026 by Pulumi
Viewing docs for Cisco Meraki v0.4.6
published on Thursday, Feb 26, 2026 by Pulumi
published on Thursday, Feb 26, 2026 by Pulumi
Example Usage
import * as pulumi from "@pulumi/pulumi";
import * as meraki from "@pulumi/meraki";
const example = meraki.networks.getClientsPolicy({
clientId: "string",
networkId: "string",
});
export const merakiNetworksClientsPolicyExample = example.then(example => example.item);
import pulumi
import pulumi_meraki as meraki
example = meraki.networks.get_clients_policy(client_id="string",
network_id="string")
pulumi.export("merakiNetworksClientsPolicyExample", example.item)
package main
import (
"github.com/pulumi/pulumi-meraki/sdk/go/meraki/networks"
"github.com/pulumi/pulumi/sdk/v3/go/pulumi"
)
func main() {
pulumi.Run(func(ctx *pulumi.Context) error {
example, err := networks.LookupClientsPolicy(ctx, &networks.LookupClientsPolicyArgs{
ClientId: "string",
NetworkId: "string",
}, nil)
if err != nil {
return err
}
ctx.Export("merakiNetworksClientsPolicyExample", example.Item)
return nil
})
}
using System.Collections.Generic;
using System.Linq;
using Pulumi;
using Meraki = Pulumi.Meraki;
return await Deployment.RunAsync(() =>
{
var example = Meraki.Networks.GetClientsPolicy.Invoke(new()
{
ClientId = "string",
NetworkId = "string",
});
return new Dictionary<string, object?>
{
["merakiNetworksClientsPolicyExample"] = example.Apply(getClientsPolicyResult => getClientsPolicyResult.Item),
};
});
package generated_program;
import com.pulumi.Context;
import com.pulumi.Pulumi;
import com.pulumi.core.Output;
import com.pulumi.meraki.networks.NetworksFunctions;
import com.pulumi.meraki.networks.inputs.GetClientsPolicyArgs;
import java.util.List;
import java.util.ArrayList;
import java.util.Map;
import java.io.File;
import java.nio.file.Files;
import java.nio.file.Paths;
public class App {
public static void main(String[] args) {
Pulumi.run(App::stack);
}
public static void stack(Context ctx) {
final var example = NetworksFunctions.getClientsPolicy(GetClientsPolicyArgs.builder()
.clientId("string")
.networkId("string")
.build());
ctx.export("merakiNetworksClientsPolicyExample", example.item());
}
}
variables:
example:
fn::invoke:
function: meraki:networks:getClientsPolicy
arguments:
clientId: string
networkId: string
outputs:
merakiNetworksClientsPolicyExample: ${example.item}
Using getClientsPolicy
Two invocation forms are available. The direct form accepts plain arguments and either blocks until the result value is available, or returns a Promise-wrapped result. The output form accepts Input-wrapped arguments and returns an Output-wrapped result.
function getClientsPolicy(args: GetClientsPolicyArgs, opts?: InvokeOptions): Promise<GetClientsPolicyResult>
function getClientsPolicyOutput(args: GetClientsPolicyOutputArgs, opts?: InvokeOptions): Output<GetClientsPolicyResult>def get_clients_policy(client_id: Optional[str] = None,
network_id: Optional[str] = None,
opts: Optional[InvokeOptions] = None) -> GetClientsPolicyResult
def get_clients_policy_output(client_id: Optional[pulumi.Input[str]] = None,
network_id: Optional[pulumi.Input[str]] = None,
opts: Optional[InvokeOptions] = None) -> Output[GetClientsPolicyResult]func LookupClientsPolicy(ctx *Context, args *LookupClientsPolicyArgs, opts ...InvokeOption) (*LookupClientsPolicyResult, error)
func LookupClientsPolicyOutput(ctx *Context, args *LookupClientsPolicyOutputArgs, opts ...InvokeOption) LookupClientsPolicyResultOutput> Note: This function is named LookupClientsPolicy in the Go SDK.
public static class GetClientsPolicy
{
public static Task<GetClientsPolicyResult> InvokeAsync(GetClientsPolicyArgs args, InvokeOptions? opts = null)
public static Output<GetClientsPolicyResult> Invoke(GetClientsPolicyInvokeArgs args, InvokeOptions? opts = null)
}public static CompletableFuture<GetClientsPolicyResult> getClientsPolicy(GetClientsPolicyArgs args, InvokeOptions options)
public static Output<GetClientsPolicyResult> getClientsPolicy(GetClientsPolicyArgs args, InvokeOptions options)
fn::invoke:
function: meraki:networks/getClientsPolicy:getClientsPolicy
arguments:
# arguments dictionaryThe following arguments are supported:
- client_
id str - clientId path parameter. Client ID
- network_
id str - networkId path parameter. Network ID
getClientsPolicy Result
The following output properties are available:
- Client
Id string - clientId path parameter. Client ID
- Id string
- The provider-assigned unique ID for this managed resource.
- Item
Get
Clients Policy Item - Network
Id string - networkId path parameter. Network ID
- Client
Id string - clientId path parameter. Client ID
- Id string
- The provider-assigned unique ID for this managed resource.
- Item
Get
Clients Policy Item - Network
Id string - networkId path parameter. Network ID
- client
Id String - clientId path parameter. Client ID
- id String
- The provider-assigned unique ID for this managed resource.
- item
Get
Clients Policy Item - network
Id String - networkId path parameter. Network ID
- client
Id string - clientId path parameter. Client ID
- id string
- The provider-assigned unique ID for this managed resource.
- item
Get
Clients Policy Item - network
Id string - networkId path parameter. Network ID
- client_
id str - clientId path parameter. Client ID
- id str
- The provider-assigned unique ID for this managed resource.
- item
Get
Clients Policy Item - network_
id str - networkId path parameter. Network ID
- client
Id String - clientId path parameter. Client ID
- id String
- The provider-assigned unique ID for this managed resource.
- item Property Map
- network
Id String - networkId path parameter. Network ID
Supporting Types
GetClientsPolicyItem
- Device
Policy string - The name of the client's policy
- Group
Policy stringId - The group policy identifier of the client
- Mac string
- The MAC address of the client
- Device
Policy string - The name of the client's policy
- Group
Policy stringId - The group policy identifier of the client
- Mac string
- The MAC address of the client
- device
Policy String - The name of the client's policy
- group
Policy StringId - The group policy identifier of the client
- mac String
- The MAC address of the client
- device
Policy string - The name of the client's policy
- group
Policy stringId - The group policy identifier of the client
- mac string
- The MAC address of the client
- device_
policy str - The name of the client's policy
- group_
policy_ strid - The group policy identifier of the client
- mac str
- The MAC address of the client
- device
Policy String - The name of the client's policy
- group
Policy StringId - The group policy identifier of the client
- mac String
- The MAC address of the client
Package Details
- Repository
- meraki pulumi/pulumi-meraki
- License
- Apache-2.0
- Notes
- This Pulumi package is based on the
merakiTerraform Provider.
Viewing docs for Cisco Meraki v0.4.6
published on Thursday, Feb 26, 2026 by Pulumi
published on Thursday, Feb 26, 2026 by Pulumi
